commit: 0a7ac2aed202cf0dfe28fb9e9068d0032c09ff99
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 25 03:12:50 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 25 03:22:20 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a7ac2ae
dev-python/caldav: Bump to 1.5.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/caldav/Manifest | 1 +
dev-python/caldav/caldav-1.5.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/caldav/Manifest b/dev-python/caldav/Manifest
index 234bb2b4f3aa..13ed4bce18d4 100644
--- a/dev-python/caldav/Manifest
+++ b/dev-python/caldav/Manifest
@@ -1 +1,2 @@
DIST caldav-1.4.0.tar.gz 141012 BLAKE2B
a7936779571c01935f827d2a1a6bd059354431735b316fdbcf324a8be7ccbf4f4aaa88fac902088b39cc96c7b2d7b85d6a8bf87e06f4d30c95dcd7135535537d
SHA512
15684684080bb4de2eefc20babcd75ed2de753fad516f456f3ef93439ef94ed31afcce725cde09b722e52fb1af03631d1489151e31e1be5745dc210ee51dca0f
+DIST caldav-1.5.0.tar.gz 157644 BLAKE2B
731f6eea65d17b4a15d0c22f7fdc3dbfaab0e6ba69f81365b99caad8ad44189493606d7a025c692959d88d65d7b43e6f90f0af71979b467b4eb1ae922fcd9582
SHA512
2c61f5e1ca85b20035e8e033025fbfa782faa7eff3e0ce504a77480a87a62237aeb57b36c2f8821553acf472a9bcda5c5b82a6f6e004aa7c5f961c53a736aa2f
diff --git a/dev-python/caldav/caldav-1.5.0.ebuild
b/dev-python/caldav/caldav-1.5.0.ebuild
new file mode 100644
index 000000000000..f92f9dfa20be
--- /dev/null
+++ b/dev-python/caldav/caldav-1.5.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CalDAV (RFC4791) client library for Python"
+HOMEPAGE="
+ https://github.com/python-caldav/caldav/
+ https://pypi.org/project/caldav/
+"
+
+LICENSE="|| ( GPL-3 Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ >=dev-python/recurring-ical-events-2.0.0[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/vobject[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest